com.tibbo.aggregate.common.event

## Class FireEventRequestController

- java.lang.Object
- - com.tibbo.aggregate.common.context.DefaultRequestController
  - - com.tibbo.aggregate.common.event.FireEventRequestController

- All Implemented Interfaces:
    RequestController, PinpointAware
  Direct Known Subclasses:
    FireChangeEventRequestController

      public class FireEventRequestController
      extends DefaultRequestController

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FireEventRequestController()`
    `FireEventRequestController(boolean ignoreStorageErrors)`
    `FireEventRequestController(java.lang.Long customExpirationPeriod)`
    `FireEventRequestController(java.lang.Object originatorObject)`
    `FireEventRequestController(Pinpoint pinpoint)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Long` | `getCustomExpirationPeriod()`
    `java.lang.String` | `getServerId()`
    `boolean` | `isIgnoreStorageErrors()`
    `boolean` | `isSuppressIfNotEnoughMemory()`
    `Event` | `process(Event event)`
    `void` | `setCustomExpirationPeriod(java.lang.Long customExpirationPeriod)`
    `void` | `setIgnoreStorageErrors(boolean ignoreStorageErrors)`
    `void` | `setServerId(java.lang.String serverId)`
    `void` | `setSuppressIfNotEnoughMemory(boolean value)`

    - ### Methods inherited from class com.tibbo.aggregate.common.context.DefaultRequestController

      `assignPinpoint, getEvaluator, getLockTimeout, getOriginator, getQueue, isLoggerRequest, isReplyRequired, obtainPinpoint, setEvaluator, setReplyRequired`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.tibbo.aggregate.common.structure.PinpointAware

      `assignPinpoint, removePinpoint`

- - ### Constructor Detail

    - #### FireEventRequestController

          public FireEventRequestController()

    - #### FireEventRequestController

          public FireEventRequestController(@Nullable
                                            Pinpoint pinpoint)

    - #### FireEventRequestController

          public FireEventRequestController(java.lang.Object originatorObject)

    - #### FireEventRequestController

          public FireEventRequestController(java.lang.Long customExpirationPeriod)

    - #### FireEventRequestController

          public FireEventRequestController(boolean ignoreStorageErrors)

  - ### Method Detail

    - #### getCustomExpirationPeriod

          public java.lang.Long getCustomExpirationPeriod()

    - #### setCustomExpirationPeriod

          public void setCustomExpirationPeriod(java.lang.Long customExpirationPeriod)

    - #### isIgnoreStorageErrors

          public boolean isIgnoreStorageErrors()

    - #### setIgnoreStorageErrors

          public void setIgnoreStorageErrors(boolean ignoreStorageErrors)

    - #### process

          public Event process(Event event)

    - #### isSuppressIfNotEnoughMemory

          public boolean isSuppressIfNotEnoughMemory()

    - #### setSuppressIfNotEnoughMemory

          public void setSuppressIfNotEnoughMemory(boolean value)

    - #### getServerId

          public java.lang.String getServerId()

    - #### setServerId

          public void setServerId(java.lang.String serverId)